# QCA::SecureMessageSignature Class Reference
[QCA user API]

SecureMessage signature. More...

`#include <QtCrypto>`

Collaboration diagram for QCA::SecureMessageSignature:

[legend]

List of all members.

## Public Types

enum | IdentityResult { Valid, InvalidSignature, InvalidKey, NoKey }

## Public Member Functions

IdentityResult | identityResult () const
SecureMessageKey | key () const
Validity | keyValidity () const
SecureMessageSignature & | operator= (const SecureMessageSignature &from)
| SecureMessageSignature (const SecureMessageSignature &from)
| SecureMessageSignature (IdentityResult r, Validity v, const SecureMessageKey &key, const QDateTime &ts)
| SecureMessageSignature ()
QDateTime | timestamp () const

## Detailed Description

SecureMessage signature.

## Member Enumeration Documentation

enum QCA::SecureMessageSignature::IdentityResult

The result of identity verification.

Enumerator:

  Valid | indentity is verified, matches signature
  InvalidSignature | valid key provided, but signature failed
  InvalidKey | invalid key provided
  NoKey | identity unknown

## Constructor & Destructor Documentation

QCA::SecureMessageSignature::SecureMessageSignature | ( |  | ) |

Create an empty signature check object.

User applications don't normally need to create signature checks. You normally get the object back as a result of a SecureMessage operation.

QCA::SecureMessageSignature::SecureMessageSignature | ( | IdentityResult | r,
|  | Validity | v,
|  | const SecureMessageKey & | key,
|  | const QDateTime & | ts |
| ) |  |  |

Create a signature check object.

User applications don't normally need to create signature checks. You normally get the object back as a result of a SecureMessage operation.

Parameters:

  | r | the result of the check
  | v | the Validity of the key validation check
  | key | the key associated with the signature
  | ts | the timestamp associated with the signature

QCA::SecureMessageSignature::SecureMessageSignature | ( | const SecureMessageSignature & | from | ) |

Standard copy constructor.

Parameters:

  | from | the source signature object

## Member Function Documentation

IdentityResult QCA::SecureMessageSignature::identityResult | ( |  | ) | const

get the results of the identity check on this signature

SecureMessageKey QCA::SecureMessageSignature::key | ( |  | ) | const

get the key associated with this signature

Validity QCA::SecureMessageSignature::keyValidity | ( |  | ) | const

get the results of the key validation check on this signature

SecureMessageSignature& QCA::SecureMessageSignature::operator= | ( | const SecureMessageSignature & | from | ) |

Standard assignment operator.

Parameters:

  | from | the source signature object

QDateTime QCA::SecureMessageSignature::timestamp | ( |  | ) | const

get the timestamp associated with this signature

The documentation for this class was generated from the following file:

- qca_securemessage.h